aboutsummaryrefslogtreecommitdiff
path: root/unicorn_mode
diff options
context:
space:
mode:
authorDominik Maier <dmnk@google.com>2023-01-05 06:48:07 +0000
committerDominik Maier <dmnk@google.com>2023-01-05 06:48:07 +0000
commit94d1740390acee396f4615a4a2a518f10f6bc02d (patch)
treec99833c3e4ec96bc30a7703516f7cee98b301576 /unicorn_mode
parent1c91d8ca79e8177b0a0d08527a29a28a2fc86522 (diff)
downloadAFLplusplus-94d1740390acee396f4615a4a2a518f10f6bc02d.tar.gz
Fix automatic unicornafl bindings install for python
Diffstat (limited to 'unicorn_mode')
-rw-r--r--unicorn_mode/UNICORNAFL_VERSION2
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh20
m---------unicorn_mode/unicornafl0
3 files changed, 11 insertions, 11 deletions
diff --git a/unicorn_mode/UNICORNAFL_VERSION b/unicorn_mode/UNICORNAFL_VERSION
index bba4215c..06cac44c 100644
--- a/unicorn_mode/UNICORNAFL_VERSION
+++ b/unicorn_mode/UNICORNAFL_VERSION
@@ -1 +1 @@
-6e00ceac
+2df75f3e
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index 222974cf..f20f52ef 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -117,21 +117,21 @@ done
# some python version should be available now
PYTHONS="`command -v python3` `command -v python` `command -v python2`"
-SETUPTOOLS_FOUND=0
+PIP_FOUND=0
for PYTHON in $PYTHONS ; do
- if $PYTHON -c "import setuptools" ; then
+ if $PYTHON -c "import pip" ; then
- SETUPTOOLS_FOUND=1
+ PIP_FOUND=1
PYTHONBIN=$PYTHON
break
fi
done
-if [ "0" = $SETUPTOOLS_FOUND ]; then
+if [ "0" = $PIP_FOUND ]; then
- echo "[-] Error: Python setup-tools not found. Run 'sudo apt-get install python-setuptools', or install python3-setuptools, or run '$PYTHONBIN -m ensurepip', or create a virtualenv, or ..."
+ echo "[-] Error: Python pip not found. Run 'sudo apt-get install python-pip', or install python3-pip, or run '$PYTHONBIN -m ensurepip', or create a virtualenv, or ..."
PREREQ_NOTFOUND=1
fi
@@ -199,22 +199,22 @@ echo "[*] Installing Unicorn python bindings..."
cd unicorn/bindings/python || exit 1
if [ -z "$VIRTUAL_ENV" ]; then
echo "[*] Info: Installing python unicornafl using --user"
- THREADS=$CORES $PYTHONBIN setup.py install --user --force --prefix=|| exit 1
+ THREADS=$CORES $PYTHONBIN -m pip install --user --force .|| exit 1
else
echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
- THREADS=$CORES $PYTHONBIN setup.py install --force || exit 1
+ THREADS=$CORES $PYTHONBIN -m pip install --force .|| exit 1
fi
cd ../../../
echo "[*] Installing Unicornafl python bindings..."
cd bindings/python || exit 1
if [ -z "$VIRTUAL_ENV" ]; then
echo "[*] Info: Installing python unicornafl using --user"
- THREADS=$CORES $PYTHONBIN setup.py install --user --force --prefix=|| exit 1
+ THREADS=$CORES $PYTHONBIN -m pip install --user --force .|| exit 1
else
echo "[*] Info: Installing python unicornafl to virtualenv: $VIRTUAL_ENV"
- THREADS=$CORES $PYTHONBIN setup.py install --force || exit 1
+ THREADS=$CORES $PYTHONBIN -m pip install --force .|| exit 1
fi
-echo '[*] If needed, you can (re)install the bindings from `./unicornafl/bindings/python` using `python setup.py install`'
+echo '[*] If needed, you can (re)install the bindings in `./unicornafl/bindings/python` using `pip install --force .`'
cd ../../ || exit 1
diff --git a/unicorn_mode/unicornafl b/unicorn_mode/unicornafl
-Subproject 6e00ceac6fd5627e42e1858c543c84f2fbdaedd
+Subproject 2df75f3e1045367cab95fe3471191b38c1a9f79